Loading...
Searching...
No Matches
OgreFileSystem.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreArchive.h"`
`#include "OgreArchiveFactory.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::APKFileSystemArchiveFactory
class | Ogre::FileSystemArchiveFactory
| Specialisation of the ArchiveFactory to allow reading of files from filesystem folders / directories. More...

## Namespaces

namespace | Ogre

## Functions

DataStreamPtr | Ogre::_openFileStream (const String &path, std::ios::openmode mode, const String &name="")
| internal method to open a FileStreamDataStream